using UnityEngine;

public class RoomMoveButton : MonoBehaviour
{
    [Header("이 버튼을 눌렀을 때 이동할 방 번호 입력")]
    [SerializeField] private int targetRoomNumber;

    public void OnClickMoveRoom()
    {
        if (RoomRouteManager.Instance == null)
        {
            Debug.LogError("RoomRouteManager가 없습니다.");
            return;
        }

        RoomRouteManager.Instance.MoveToRoom(targetRoomNumber);
    }
}